petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscPartitionerCreate

Creates an empty PetscPartitioner object. The type can then be set with PetscPartitionerSetType().

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerCreate(MPI_Comm comm, PetscPartitioner *part)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the PetscPartitioner object

### Output Parameter

part -The PetscPartitioner object

### See Also

PetscPartitionerSetType(), PETSCPARTITIONERCHACO, PETSCPARTITIONERPARMETIS, PETSCPARTITIONERSHELL, PETSCPARTITIONERSIMPLE, PETSCPARTITIONERGATHER

### Level

beginner

### Location

src/dm/impls/plex/plexpartition.c

### Implementations

PetscPartitionerCreate_MatPartitioning in src/dm/impls/plex/petscpartmatpart.c
PetscPartitionerCreate_Shell in src/dm/impls/plex/plexpartition.c
PetscPartitionerCreate_Simple in src/dm/impls/plex/plexpartition.c
PetscPartitionerCreate_Gather in src/dm/impls/plex/plexpartition.c
PetscPartitionerCreate_Chaco in src/dm/impls/plex/plexpartition.c
PetscPartitionerCreate_ParMetis in src/dm/impls/plex/plexpartition.c
PetscPartitionerCreate_PTScotch in src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages